#ifndef __GLFW_DYN_H__
#define __GLFW_DYN_H__

extern void (*dyn_glXDestroyContext) (Display *dpy, GLXContext ctx);
extern int (*dyn_glXGetConfig) (Display *dpy, XVisualInfo *vis, int attrib, int *value);
extern void* (*dyn_glXGetProcAddress)(const GLubyte* procname);
extern GLXContext (*dyn_glXCreateContext) (Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct);
extern Bool (*dyn_glXMakeCurrent) (Display *dpy, GLXDrawable drawable, GLXContext ctx);
extern Bool (*dyn_glXQueryExtension) (Display *dpy, int *errorBase, int *eventBase);
extern void (*dyn_glXSwapBuffers) (Display *dpy, GLXDrawable drawable);

extern int _glfwInitDyn();

#define glXDestroyContext dyn_glXDestroyContext
#define glXGetConfig dyn_glXGetConfig
#define glXGetProcAddress dyn_glXGetProcAddress
#define glXCreateContext dyn_glXCreateContext
#define glXMakeCurrent dyn_glXMakeCurrent
#define glXQueryExtension dyn_glXQueryExtension
#define glXSwapBuffers dyn_glXSwapBuffers

#endif
